<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system.core</groupId>
        <artifactId>system-core</artifactId>
        <version>1.8.2.2</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <artifactId>error-handler</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: CORE :: COMMON ERROR HANDLER</name>
    <description>SYSTEM :: ENTAXY :: CORE :: COMMON ERROR HANDLER</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.core.common.error.handler.interceptor
        </bundle.osgi.export.pkg>
        <bundle.osgi.import.pkg>
            *
        </bundle.osgi.import.pkg>
        <!-- bundle.osgi.private.pkg>{local-packages}</bundle.osgi.private.pkg -->
        	<!--ru.entaxy.esb.system.core.common.error.handler.processor,
        	ru.entaxy.esb.system.core.common.error.handler.util-->
        
    </properties>

    <dependencies>
        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>
    </dependencies>
</project>
